## org.eclipse.datatools.sqltools.sqlbuilder.util
Class SQLParserUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.SQLParserUtil

    public class SQLParserUtil

extends java.lang.Object

This is a utility class for the SQLBuilderEditorInput class. It allows you to parse a SQL statement created with one connection profile and give you back the parse tree for the statement connected to a different connection profile. It parses the statement according to the specified dialect but uses the post-parse-processing which hooks the SQM to the database tables for the current connectionInfo.

Author:
  jeremyl

Constructor Summary
`SQLParserUtil()`

Method Summary
`static java.lang.String` `generateSQL(QueryStatement sqlStatement, SQLBuilderEditorInput editorInput)`
`static QueryStatement` `parseForDifferentDialect(SQLBuilderEditorInput editorInput, SQLDomainModel domainModel)` This method parses the editorinput's SQL statement according to the dialect specified in the editorinput's SQLDialectInfo, but using the PostParseProcessorConfiguration associated with the domainModel passed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLParserUtil

    public SQLParserUtil()

Method Detail

### parseForDifferentDialect

    public static QueryStatement parseForDifferentDialect(SQLBuilderEditorInput editorInput,
                                                          SQLDomainModel domainModel)

  This method parses the editorinput's SQL statement according to the dialect specified in the editorinput's SQLDialectInfo, but using the PostParseProcessorConfiguration associated with the domainModel passed. Note that the parsing source code is based on SQLDomainModel.parse(String).

  Parameters:
    `editorInput` -
  Returns:

### generateSQL

    public static java.lang.String generateSQL(QueryStatement sqlStatement,
                                               SQLBuilderEditorInput editorInput)